On Thu 05 Nov 2015 08:04:02 PM CST, mikenash wrote:

Hello Malcoln, thank you for your reply.
I honestly do not fully understand this approach but I do not think it
will resolve what I need to accomplish. The nfs-utils package probably
has other nfs utilities and may not follow the same
process as you provided for nfslock.
Red Hat appears to have these nfs utilities and SLES10 may have them.
At least SLES10 had a package with a similar name to one of the
packages as Red Hat.
I have found references on the web for nfslock and SLES11. SUSE Linux
Enterprise Server 11 SP4 Security and hardening in Table 3.1. init
Services and their Descriptions - Examples make reference
to nfslock: needed if NFS shares are mounted. I would expect that
nfslock be available somewhere
if Suse states that it is needed.
A nfs-utils package was available in SLES10 but did it change or get
included in other packages for newer releases? I would expect that if
Red Hat has the utilities and Suse has a reference to nfslock
that these nfs utilities would be available in some repository.


Hi
Interesting it is referenced in the SUSE documents for something that
doesn't exist...?

I do note the service indicated 'nfslock' is not needed for NFSv4,
only v2 and v3, yet the service calls a v4 option...?

So, is the RH system being referenced running systemd or sysVinit?

It was split out into the client, server and doc
package and nfs-utils is the src package back in 2007;
Code:
* Tue Jun 05 2007 mkoenig@suse.de
- update to version 1.1.0:
- package mount.nfs, umount.nfs to replace dropped nfs code
from util-linux mount.
- removed patches:
nfs-utils-noroot.patch
nfs-utils-gssd-select-ccache.patch
nfs-utils-krb5.patch
- Package split: nfs-common, nfs-server and nfs-doc
- adjust init scripts
- remove old Obsoletes/Provides:
nfsutils (last used 2001)
knfsd (last used 2000)
linuxnfs (last used 1999)
Might I suggest a different approach in requesting definition of
the required nfs service options (set in the RH sysconf file) and
compare that with what is available in the SUSE version...

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 | GNOME 3.10.1 | 3.12.48-52.27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!